# VecPackGetInterpolation

GetInterpolations a VecPack by refining all of its DAs

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode VecPackGetInterpolation(VecPack coarse,VecPack fine,Mat *A,Vec *v)

Collective on VecPack

### Input Parameters

| coarse | - coarse grid packer
| fine | - fine grid packer

### Output Parameter

| A | - interpolation matrix
| v | - scaling vector

### See Also

VecPackDestroy(), VecPackAddArray(), VecPackAddDA(), VecPackCreateGlobalVector(),
VecPackGather(), VecPackCreate(), VecPackGetGlobalIndices(), VecPackGetAccess(), VecPackGetLocalVectors(), VecPackRestoreLocalVectors()

Level:advanced
Location:src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages